## pyiss 1.0.1

=== requirements.txt ===
requests
httmock
voluptuous

=== debian/changelog ===
pyiss (1.0.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 15:02:57 +0900

pyiss (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1076791)

 -- Edward Betts <edward@4angle.com>  Wed, 24 Jul 2024 10:51:31 +0900

=== debian/control ===
Source: pyiss
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-httmock <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-voluptuous <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/HydrelioxGitHub/pyiss
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyiss
Vcs-Git: https://salsa.debian.org/python-team/packages/pyiss.git

Package: python3-pyiss
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Library for accessing real-time data of the International Space Station
 PyIss is a Python library designed to provide real-time location and other
 relevant data of the International Space Station (ISS). Utilizing the open API
 from open-notify.org, PyIss offers users easy access to ISS positional data,
 upcoming pass predictions, crew details, and more. Perfect for educational
 purposes, space enthusiasts, or any application requiring ISS tracking and data
 retrieval.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyiss

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyiss.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-httmock, python3-pytest, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyiss-$1\.tar\.gz/ \
  https://github.com/HydrelioxGitHub/pyiss/tags .*/v?(\d\S+)\.tar\.gz
